import { Base, INotifyPropertyChanged, Type, IEnumerable, PropertyChangedEventArgs, Point } from "igniteui-react-core";
import { IDataLegendTarget } from "igniteui-react-core";
import { IToolbarTarget } from "igniteui-react-core";
import { IDomainChartLike } from "./IDomainChartLike";
import { List$1 } from "igniteui-react-core";
import { Brush } from "igniteui-react-core";
import { IDomainChartWidget } from "./IDomainChartWidget";
import { XamDataChart } from "./XamDataChart";
import { DataSeriesAdapterImplementation } from "igniteui-react-core";
import { DataSeriesType } from "igniteui-react-core";
import { IDataSeriesAdapterRule } from "igniteui-react-core";
import { MarkerType } from "./MarkerType";
import { IAnnotationLayerProxy } from "./IAnnotationLayerProxy";
import { Color } from "igniteui-react-core";
import { IDomainChartToolbarProvider } from "./IDomainChartToolbarProvider";
import { ToolCommand } from "igniteui-react-core";
import { DataToolTipLayerGroupingMode } from "igniteui-react-core";
import { DataTooltipGroupedPositionX } from "igniteui-react-core";
import { DataTooltipGroupedPositionY } from "igniteui-react-core";
import { DataAbbreviationMode } from "igniteui-react-core";
import { DataLegendValueMode } from "igniteui-react-core";
import { Thickness } from "igniteui-react-core";
import { FontInfo } from "igniteui-react-core";
import { DataLegendHeaderDateMode } from "igniteui-react-core";
import { DataLegendHeaderTimeMode } from "igniteui-react-core";
import { DataLegendSummaryType } from "igniteui-react-core";
import { LegendItemBadgeShape } from "igniteui-react-core";
import { DataLegendUnitsMode } from "igniteui-react-core";
import { DataLegendLabelMode } from "igniteui-react-core";
import { DomainType } from "./DomainType";
import { ChartSortDescriptionCollection } from "./ChartSortDescriptionCollection";
import { FilterExpressionCollection } from "igniteui-react-core";
import { ChartSummaryDescriptionCollection } from "./ChartSummaryDescriptionCollection";
import { SeriesSelectionMode } from "./SeriesSelectionMode";
import { SeriesSelectionBehavior } from "./SeriesSelectionBehavior";
import { ChartSelectedItemCollection } from "./ChartSelectedItemCollection";
import { FilterStringErrorsParsingEventArgs } from "./FilterStringErrorsParsingEventArgs";
import { BrushCollection } from "igniteui-react-core";
import { IChartLegend } from "igniteui-react-core";
import { SeriesHighlightedValuesDisplayMode } from "igniteui-react-core";
import { Visibility } from "igniteui-react-core";
import { Rect } from "igniteui-react-core";
import { HorizontalAlignment } from "igniteui-react-core";
import { UnknownValuePlotting } from "igniteui-react-core";
import { SeriesOutlineMode } from "./SeriesOutlineMode";
import { MarkerOutlineMode } from "./MarkerOutlineMode";
import { MarkerFillMode } from "./MarkerFillMode";
import { MarkerTypeCollection } from "./MarkerTypeCollection";
import { MarkerAutomaticBehavior } from "./MarkerAutomaticBehavior";
import { TrendLineType } from "igniteui-react-core";
import { ComputedPlotAreaMarginMode } from "./ComputedPlotAreaMarginMode";
import { SeriesPlotAreaMarginHorizontalMode } from "./SeriesPlotAreaMarginHorizontalMode";
import { SeriesPlotAreaMarginVerticalMode } from "./SeriesPlotAreaMarginVerticalMode";
import { SeriesHighlightingMode } from "./SeriesHighlightingMode";
import { SeriesHighlightingBehavior } from "./SeriesHighlightingBehavior";
import { LegendHighlightingMode } from "./LegendHighlightingMode";
import { LegendItemBadgeMode } from "igniteui-react-core";
import { ToolTipType } from "./ToolTipType";
import { CrosshairsDisplayMode } from "./CrosshairsDisplayMode";
import { CalloutCollisionMode } from "igniteui-react-core";
import { CalloutPlacementPositionsCollection } from "./CalloutPlacementPositionsCollection";
import { ValueModeCollection } from "./ValueModeCollection";
import { SeriesViewerScrollbarMode } from "./SeriesViewerScrollbarMode";
import { SeriesViewerHorizontalScrollbarPosition } from "./SeriesViewerHorizontalScrollbarPosition";
import { SeriesViewerVerticalScrollbarPosition } from "./SeriesViewerVerticalScrollbarPosition";
import { Series } from "./Series";
import { DataSeries } from "igniteui-react-core";
import { IDataLegend } from "igniteui-react-core";
import { ICommandStateChangedListener } from "igniteui-react-core";
import { Axis } from "./Axis";
import { ObservableColorCollection } from "igniteui-react-core";
import { DataSeriesMarker } from "igniteui-react-core";
import { IDataLegendSeries } from "igniteui-react-core";
import { ToolActionInfo } from "igniteui-react-core";
import { IToolbarContextAccessor } from "igniteui-react-core";
import { ToolCommandExecutionState } from "igniteui-react-core";
import { ICommandAvailabilityListener } from "igniteui-react-core";
import { ChartSeriesEventArgs } from "./ChartSeriesEventArgs";
import { DomainChartSeriesPointerEventArgs } from "./DomainChartSeriesPointerEventArgs";
import { DomainChartPlotAreaPointerEventArgs } from "./DomainChartPlotAreaPointerEventArgs";
import { CalloutStyleUpdatingEventArgs } from "./CalloutStyleUpdatingEventArgs";
import { CalloutRenderStyleUpdatingEventArgs } from "./CalloutRenderStyleUpdatingEventArgs";
import { SeriesViewerSelectedSeriesItemsChangedEventArgs } from "./SeriesViewerSelectedSeriesItemsChangedEventArgs";
/**
 * @hidden
 */
export declare abstract class DomainChart extends Base implements INotifyPropertyChanged, IDataLegendTarget, IToolbarTarget, IDomainChartLike {
    static $t: Type;
    protected lr: any;
    provideContainer(a: any): void;
    destroy(): void;
    private u1;
    protected u2(): void;
    protected uy(a: XamDataChart): void;
    protected uv(): void;
    protected u4(a: Series, b: number): void;
    protected vu(a: string, b: any, c: any): void;
    private lo;
    get tooltipTemplate(): any;
    set tooltipTemplate(a: any);
    private hp;
    get tooltipTemplates(): List$1<any>;
    set tooltipTemplates(a: List$1<any>);
    private il;
    get jy(): number;
    set jy(a: number);
    private ln;
    private get toolTip();
    private set toolTip(value);
    private iz;
    get kb(): number;
    set kb(a: number);
    private i0;
    get kc(): number;
    set kc(a: number);
    private i1;
    get kd(): number;
    set kd(a: number);
    private iy;
    get ka(): number;
    set ka(a: number);
    private iu;
    get j6(): number;
    set j6(a: number);
    private iw;
    get j8(): number;
    set j8(a: number);
    private iv;
    get j7(): number;
    set j7(a: number);
    private it;
    get j5(): number;
    set j5(a: number);
    private xu;
    get yv(): Brush;
    set yv(a: Brush);
    private xv;
    get yw(): Brush;
    set yw(a: Brush);
    private ii;
    protected get_jv(): number;
    protected set_jv(a: number): void;
    get jv(): number;
    set jv(a: number);
    private i2;
    get ke(): number;
    set ke(a: number);
    private is;
    get j4(): number;
    set j4(a: number);
    private h3;
    get jh(): number;
    set jh(a: number);
    private k5;
    get lh(): number;
    set lh(a: number);
    private er;
    get es(): (time: number) => number;
    set es(a: (time: number) => number);
    private k1;
    get le(): number;
    set le(a: number);
    private k3;
    get lg(): number;
    set lg(a: number);
    private k0;
    get ld(): number;
    set ld(a: number);
    protected uz(a: XamDataChart): void;
    protected u5(a: Series, b: number): void;
    protected uw(): void;
    private u6;
    ks: (arg1: HTMLElement) => any[];
    private wv;
    private lt;
    private ha;
    private kt;
    protected vv(a: string, b: any, c: any): void;
    private ck;
    get cl(): IDomainChartWidget;
    set cl(a: IDomainChartWidget);
    private mo;
    get ss(): string;
    set ss(a: string);
    private mq;
    get s3(): string;
    set s3(a: string);
    private ee;
    get dataChart(): XamDataChart;
    set dataChart(a: XamDataChart);
    bf: DataSeriesAdapterImplementation;
    get currentDataAdapter(): DataSeriesAdapterImplementation;
    private fx;
    private ff;
    sendCommandCompleted(a: ToolCommand): void;
    captureTargetImageToClipboard(a: (arg1: any, arg2: any) => void): void;
    private vo;
    bg: DataSeriesAdapterImplementation;
    private f1;
    private f0;
    get isDetached(): boolean;
    onDetachedFromUI(): void;
    onAttachedToUI(): void;
    constructor();
    protected u0(): void;
    private wt;
    private ws;
    private wu;
    bh(a: boolean): DataSeriesAdapterImplementation;
    protected abstract get hv(): List$1<DataSeriesType>;
    protected abstract get hu(): List$1<IDataSeriesAdapterRule>;
    protected ht: List$1<MarkerType>;
    protected g5(a: DataSeriesType): boolean;
    notifyResized(): void;
    vf(): void;
    uk(): void;
    ut(): void;
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    protected v8(a: string): void;
    protected abstract ul(a: (arg1: Axis) => void, b: boolean): void;
    protected um(a: (arg1: Series) => void): void;
    protected un(a: (arg1: Series, arg2: number) => void): void;
    protected ur(a: (arg1: Series) => void): void;
    protected us(a: (arg1: Series, arg2: number) => void): void;
    protected up(a: (arg1: Series) => void): void;
    protected uq(a: (arg1: Series, arg2: number) => void): void;
    wj(): void;
    protected vh(a: (arg1: XamDataChart) => void): void;
    protected vi(a: (arg1: XamDataChart) => void, b: boolean): void;
    protected vj(a: (arg1: XamDataChart) => void, b: boolean, c: string): void;
    protected g7(a: DataSeries): boolean;
    protected gx(): boolean;
    private static readonly l2;
    private k4;
    protected ql(a: DataSeries): string;
    private static l1;
    protected qm(a: DataSeries, b: DataSeriesType): string;
    protected abstract be(a: DataSeries): DataSeriesType;
    protected abstract dc(a: DataSeries, b: DataSeriesType): Series;
    qk(): string;
    private g3;
    private g2;
    protected vx(): void;
    protected ub(): void;
    private ww;
    private ua;
    private hl;
    protected hz(a: DataSeries): IEnumerable;
    protected h0(a: DataSeries): IEnumerable;
    private uj;
    private gt;
    protected wm(): void;
    protected de(seriesType_: DataSeriesType): Series;
    private c6;
    private c8;
    private da;
    private db;
    private c7;
    private c9;
    private dd;
    private cd;
    protected get ce(): IAnnotationLayerProxy;
    private get gs();
    protected gv(a: Series): boolean;
    private wx;
    protected gy(): boolean;
    protected gz(): boolean;
    protected get_gw(): boolean;
    protected get gw(): boolean;
    protected hr(a: string, b: boolean): List$1<Series>;
    private t4;
    protected uc(a: Series, b: boolean): void;
    protected hb(): boolean;
    protected wr(a: Series, b: Series, c: DataSeries): void;
    protected abstract wl(a: DataSeries): void;
    protected abstract wk(a: DataSeries): void;
    protected wo(): void;
    private wp;
    protected wq(a: Series): void;
    protected abstract wn(): void;
    private vk;
    private vn;
    protected ug(): void;
    protected hh: boolean;
    protected uh(): void;
    protected yn(a: number): Brush;
    protected yq(a: number): Brush;
    protected yo(a: number): Brush;
    protected yp(a: number): Brush;
    protected yz(a: number): Color;
    protected fd(a: Color): ObservableColorCollection;
    protected aa(a: Color): BrushCollection;
    protected ho: List$1<Color>;
    protected get hq(): List$1<Color>;
    protected get_hf(): boolean;
    protected get hf(): boolean;
    ls(): any;
    u8(a: string, b: string): void;
    u9(a: string, b: string, c: Series): void;
    c0(a: DataSeriesMarker): MarkerType;
    private ch;
    private f3;
    attachDataLegend(a: IDataLegend): void;
    protected t9(a: IDataLegend): void;
    detachDataLegend(a: IDataLegend): void;
    protected uf(a: IDataLegend): void;
    getDataLegendSeries(): IDataLegendSeries[];
    protected o(): IDataLegendSeries[];
    zoomIn(a: number): void;
    zoomOut(a: number): void;
    resetZoom(): void;
    protected get_g6(): boolean;
    get g6(): boolean;
    private ci;
    get cj(): IDomainChartToolbarProvider;
    private vs;
    getDesiredToolbarActions(): ToolActionInfo[];
    onToolCommandExecuting(a: ToolCommand): ToolCommandExecutionState;
    private _commandCompleted;
    get commandCompleted(): (arg1: ToolCommand) => void;
    set commandCompleted(a: (arg1: ToolCommand) => void);
    private _invalidateActions;
    get invalidateActions(): () => void;
    set invalidateActions(a: () => void);
    private eq;
    provideContextAccessor(a: IToolbarContextAccessor): void;
    private u7;
    addCommandAvailabilityListener(a: ICommandAvailabilityListener): void;
    removeCommandAvailabilityListener(a: ICommandAvailabilityListener): void;
    private hm;
    addCommandStateChangedListener(a: ICommandStateChangedListener): void;
    removeCommandStateChangedListener(a: ICommandStateChangedListener): void;
    ve(source_: any, a: number, b: any, c: any): void;
    va(source_: any): void;
    vb(source_: any, a: number, b: any): void;
    vc(source_: any, a: number, b: any): void;
    private by;
    get bz(): DataToolTipLayerGroupingMode;
    set bz(a: DataToolTipLayerGroupingMode);
    private h8;
    get jm(): number;
    set jm(a: number);
    private h9;
    get jn(): number;
    set jn(a: number);
    private h6;
    get jk(): number;
    set jk(a: number);
    private h7;
    get jl(): number;
    set jl(a: number);
    private bu;
    get bv(): DataTooltipGroupedPositionX;
    set bv(a: DataTooltipGroupedPositionX);
    private bw;
    get bx(): DataTooltipGroupedPositionY;
    set bx(a: DataTooltipGroupedPositionY);
    private ft;
    get go(): boolean;
    set go(a: boolean);
    static readonly o3: string;
    get m(): string[];
    set m(a: string[]);
    private e;
    get j(): string[];
    set j(a: string[]);
    private b;
    get l(): string[];
    set l(a: string[]);
    private d;
    get i(): string[];
    set i(a: string[]);
    private a;
    get bd(): DataAbbreviationMode;
    set bd(a: DataAbbreviationMode);
    private bc;
    get la(): number;
    set la(a: number);
    private kx;
    get lb(): number;
    set lb(a: number);
    private ky;
    get bt(): DataLegendValueMode;
    set bt(a: DataLegendValueMode);
    private bs;
    get pv(): string;
    set pv(a: string);
    private me;
    get gp(): boolean;
    set gp(a: boolean);
    private fu;
    get p1(): string;
    set p1(a: string);
    private mf;
    get n(): any[];
    set n(a: any[]);
    private f;
    get zp(): Thickness;
    set zp(a: Thickness);
    private zd;
    get gq(): boolean;
    set gq(a: boolean);
    private fv;
    get qa(): string;
    set qa(a: string);
    private mg;
    get gr(): boolean;
    set gr(a: boolean);
    private fw;
    get zq(): Thickness;
    set zq(a: Thickness);
    private ze;
    get yj(): Brush;
    set yj(a: Brush);
    private xn;
    private e2;
    get fc(): FontInfo;
    set fc(a: FontInfo);
    get ol(): string;
    set ol(a: string);
    private l8;
    get k(): any[];
    set k(a: any[]);
    private c;
    get oh(): string;
    set oh(a: string);
    private l7;
    get bj(): DataLegendHeaderDateMode;
    set bj(a: DataLegendHeaderDateMode);
    private bi;
    get bl(): DataLegendHeaderTimeMode;
    set bl(a: DataLegendHeaderTimeMode);
    private bk;
    get oq(): string;
    set oq(a: string);
    private l9;
    get yb(): Brush;
    set yb(a: Brush);
    private xf;
    get zj(): Thickness;
    set zj(a: Thickness);
    private y7;
    get zi(): Thickness;
    set zi(a: Thickness);
    private y6;
    get gn(): boolean;
    set gn(a: boolean);
    private fs;
    private eu;
    get e4(): FontInfo;
    set e4(a: FontInfo);
    get ya(): Brush;
    set ya(a: Brush);
    private xe;
    get zh(): Thickness;
    set zh(a: Thickness);
    private y5;
    get zg(): Thickness;
    set zg(a: Thickness);
    private y4;
    get gm(): boolean;
    set gm(a: boolean);
    private fr;
    private et;
    get e3(): FontInfo;
    set e3(a: FontInfo);
    get ye(): Brush;
    set ye(a: Brush);
    private xi;
    private ex;
    get e7(): FontInfo;
    set e7(a: FontInfo);
    get bp(): DataLegendSummaryType;
    set bp(a: DataLegendSummaryType);
    private bo;
    get o9(): string;
    set o9(a: string);
    private mb;
    get zm(): Thickness;
    set zm(a: Thickness);
    private za;
    get zl(): Thickness;
    set zl(a: Thickness);
    private y9;
    get yg(): Brush;
    set yg(a: Brush);
    private xk;
    private ez;
    get e9(): FontInfo;
    set e9(a: FontInfo);
    get o4(): string;
    set o4(a: string);
    private ma;
    get yd(): Brush;
    set yd(a: Brush);
    private xh;
    private ew;
    get e6(): FontInfo;
    set e6(a: FontInfo);
    get pf(): string;
    set pf(a: string);
    private mc;
    get yf(): Brush;
    set yf(a: Brush);
    private xj;
    private ey;
    get e8(): FontInfo;
    set e8(a: FontInfo);
    get zf(): Thickness;
    set zf(a: Thickness);
    private y3;
    get cs(): LegendItemBadgeShape;
    set cs(a: LegendItemBadgeShape);
    private cq;
    get br(): DataLegendUnitsMode;
    set br(a: DataLegendUnitsMode);
    private bq;
    get pp(): string;
    set pp(a: string);
    private md;
    get yi(): Brush;
    set yi(a: Brush);
    private xm;
    get zo(): Thickness;
    set zo(a: Thickness);
    private zc;
    private e1;
    get fb(): FontInfo;
    set fb(a: FontInfo);
    get zn(): Thickness;
    set zn(a: Thickness);
    private zb;
    get yh(): Brush;
    set yh(a: Brush);
    private xl;
    private e0;
    get fa(): FontInfo;
    set fa(a: FontInfo);
    get bn(): DataLegendLabelMode;
    set bn(a: DataLegendLabelMode);
    private bm;
    get yc(): Brush;
    set yc(a: Brush);
    private xg;
    get zk(): Thickness;
    set zk(a: Thickness);
    private y8;
    private ev;
    get e5(): FontInfo;
    set e5(a: FontInfo);
    seriesAdded: (sender: any, args: ChartSeriesEventArgs) => void;
    wa(a: Series): void;
    seriesRemoved: (sender: any, args: ChartSeriesEventArgs) => void;
    wh(a: Series): void;
    seriesPointerEnter: (sender: any, args: DomainChartSeriesPointerEventArgs) => void;
    wd(a: Series, b: any, c: Point): void;
    seriesPointerLeave: (sender: any, args: DomainChartSeriesPointerEventArgs) => void;
    we(a: Series, b: any, c: Point): void;
    seriesPointerMove: (sender: any, args: DomainChartSeriesPointerEventArgs) => void;
    wf(a: Series, b: any, c: Point): void;
    seriesPointerDown: (sender: any, args: DomainChartSeriesPointerEventArgs) => void;
    wc(a: Series, b: any, c: Point): void;
    seriesPointerUp: (sender: any, args: DomainChartSeriesPointerEventArgs) => void;
    wg(a: Series, b: any, c: Point): void;
    seriesClick: (sender: any, args: DomainChartSeriesPointerEventArgs) => void;
    wb(a: Series, b: DomainChartSeriesPointerEventArgs): void;
    plotAreaPointerEnter: (sender: any, args: DomainChartPlotAreaPointerEventArgs) => void;
    v4(a: Point): void;
    plotAreaPointerLeave: (sender: any, args: DomainChartPlotAreaPointerEventArgs) => void;
    v5(a: Point): void;
    plotAreaPointerMove: (sender: any, args: DomainChartPlotAreaPointerEventArgs) => void;
    v6(a: Point): void;
    plotAreaPointerDown: (sender: any, args: DomainChartPlotAreaPointerEventArgs) => void;
    v3(a: Point): void;
    plotAreaPointerUp: (sender: any, args: DomainChartPlotAreaPointerEventArgs) => void;
    v7(a: Point): void;
    calloutStyleUpdating: (sender: any, args: CalloutStyleUpdatingEventArgs) => void;
    v1(a: any, b: CalloutStyleUpdatingEventArgs): void;
    calloutRenderStyleUpdating: (sender: any, args: CalloutRenderStyleUpdatingEventArgs) => void;
    v0(a: any, b: CalloutRenderStyleUpdatingEventArgs): void;
    selectedSeriesItemsChanged: (sender: any, e: SeriesViewerSelectedSeriesItemsChangedEventArgs) => void;
    v9(a: any, b: SeriesViewerSelectedSeriesItemsChangedEventArgs): void;
    focusedSeriesItemsChanged: (sender: any, e: SeriesViewerSelectedSeriesItemsChangedEventArgs) => void;
    v2(a: any, b: SeriesViewerSelectedSeriesItemsChangedEventArgs): void;
    private hs;
    vy(a: () => void): void;
    private fe;
    vz(a: () => void, b: boolean): {
        p1?: boolean;
    };
    protected get_g8(): boolean;
    protected get g8(): boolean;
    protected ux(a: XamDataChart, b: any): void;
    protected uo(): void;
    protected ae(a: BrushCollection): BrushCollection;
    protected yt(a: Brush): Brush;
    protected u3(a: Series, b: number): void;
    protected abstract ud(): void;
    protected get gf(): boolean;
    private fi;
    protected ui(): void;
    protected uu(): void;
    protected wi(a: XamDataChart): void;
    protected t8(a: Series, b: number): void;
    protected abstract t7(a: Series, b: number): void;
    protected c2(a: Series, b: number): MarkerType;
    protected c1(a: Series): MarkerType;
    protected c3(a: Series): MarkerType;
    protected lx(): any;
    protected lw(): any;
    protected get_g0(): boolean;
    protected get g0(): boolean;
    protected h1(): IEnumerable;
    protected vr(a: string, b: any, c: any): void;
    private hk;
    private hn;
    private vl;
    private t6;
    private t5;
    private vp;
    private vt;
    abstract get cb(): DomainType;
    private ax;
    private at;
    private as;
    private eg;
    private eh;
    private a5;
    private eo;
    private ep;
    private aw;
    private av;
    private au;
    private ej;
    private ei;
    private a4;
    get a3(): ChartSortDescriptionCollection;
    get az(): ChartSortDescriptionCollection;
    get ay(): ChartSortDescriptionCollection;
    get ek(): FilterExpressionCollection;
    get el(): FilterExpressionCollection;
    get a7(): ChartSummaryDescriptionCollection;
    private dv;
    get dx(): SeriesSelectionMode;
    set dx(a: SeriesSelectionMode);
    private du;
    get dw(): SeriesSelectionMode;
    set dw(a: SeriesSelectionMode);
    private xt;
    get yu(): Brush;
    set yu(a: Brush);
    private xq;
    get ym(): Brush;
    set ym(a: Brush);
    private ds;
    get dt(): SeriesSelectionBehavior;
    set dt(a: SeriesSelectionBehavior);
    private an;
    get selectedSeriesItems(): ChartSelectedItemCollection;
    private am;
    get focusedSeriesItems(): ChartSelectedItemCollection;
    get a2(): ChartSortDescriptionCollection;
    get a1(): ChartSortDescriptionCollection;
    get a0(): ChartSortDescriptionCollection;
    get em(): FilterExpressionCollection;
    get en(): FilterExpressionCollection;
    get a6(): ChartSummaryDescriptionCollection;
    private ml;
    get re(): string;
    set re(a: string);
    private mh;
    get qn(): string;
    set qn(a: string);
    private mj;
    get ra(): string;
    set ra(a: string);
    private mi;
    get q8(): string;
    set q8(a: string);
    private mk;
    get rc(): string;
    set rc(a: string);
    filterStringErrorsParsing: (sender: any, args: FilterStringErrorsParsingEventArgs) => void;
    private mm;
    get rg(): string;
    set rg(a: string);
    private lm;
    get itemsSource(): any;
    set itemsSource(a: any);
    private lk;
    get actualItemsSource(): any;
    set actualItemsSource(a: any);
    private ll;
    get highlightedItemsSource(): any;
    set highlightedItemsSource(a: any);
    private lj;
    get actualHighlightedItemsSource(): any;
    set actualHighlightedItemsSource(a: any);
    private h;
    get includedProperties(): string[];
    set includedProperties(a: string[]);
    private g;
    get excludedProperties(): string[];
    set excludedProperties(a: string[]);
    private r;
    get z(): BrushCollection;
    set z(a: BrushCollection);
    private u;
    get ad(): BrushCollection;
    set ad(a: BrushCollection);
    private p;
    get x(): BrushCollection;
    set x(a: BrushCollection);
    private q;
    get y(): BrushCollection;
    set y(a: BrushCollection);
    private cf;
    get legend(): IChartLegend;
    set legend(a: IChartLegend);
    private f2;
    protected get_g1(): boolean;
    protected set_g1(a: boolean): void;
    get g1(): boolean;
    set g1(a: boolean);
    private f5;
    protected get_g9(): boolean;
    protected set_g9(a: boolean): void;
    get g9(): boolean;
    set g9(a: boolean);
    private f8;
    protected get_hd(): boolean;
    protected set_hd(a: boolean): void;
    get hd(): boolean;
    set hd(a: boolean);
    private ga;
    protected get_hg(): boolean;
    protected set_hg(a: boolean): void;
    get hg(): boolean;
    set hg(a: boolean);
    private df;
    protected get_dg(): SeriesHighlightedValuesDisplayMode;
    protected set_dg(a: SeriesHighlightedValuesDisplayMode): void;
    get dg(): SeriesHighlightedValuesDisplayMode;
    set dg(a: SeriesHighlightedValuesDisplayMode);
    private f4;
    protected get_g4(): boolean;
    protected set_g4(a: boolean): void;
    get g4(): boolean;
    set g4(a: boolean);
    private zr;
    protected get_zt(): Visibility;
    protected set_zt(a: Visibility): void;
    get zt(): Visibility;
    set zt(a: Visibility);
    private zs;
    protected get_zu(): Visibility;
    protected set_zu(a: Visibility): void;
    get zu(): Visibility;
    set zu(a: Visibility);
    private y0;
    get y2(): Rect;
    set y2(a: Rect);
    get y1(): Rect;
    private mp;
    get sw(): string;
    set sw(a: string);
    private mn;
    get sl(): string;
    set sl(a: string);
    private wz;
    get w1(): HorizontalAlignment;
    set w1(a: HorizontalAlignment);
    private wy;
    get w0(): HorizontalAlignment;
    set w0(a: HorizontalAlignment);
    private eb;
    get ec(): UnknownValuePlotting;
    set ec(a: UnknownValuePlotting);
    private ir;
    protected get_j3(): number;
    protected set_j3(a: number): void;
    get j3(): number;
    set j3(a: number);
    private ix;
    get j9(): number;
    set j9(a: number);
    private dl;
    get dm(): SeriesOutlineMode;
    set dm(a: SeriesOutlineMode);
    private cy;
    get cz(): MarkerOutlineMode;
    set cz(a: MarkerOutlineMode);
    private cw;
    get cx(): MarkerFillMode;
    set cx(a: MarkerFillMode);
    private ij;
    get jw(): number;
    set jw(a: number);
    private ik;
    get jx(): number;
    set jx(a: number);
    private c4;
    get c5(): MarkerTypeCollection;
    set c5(a: MarkerTypeCollection);
    private cu;
    get cv(): MarkerAutomaticBehavior;
    set cv(a: MarkerAutomaticBehavior);
    private s;
    get ab(): BrushCollection;
    set ab(a: BrushCollection);
    private t;
    get ac(): BrushCollection;
    set ac(a: BrushCollection);
    private k2;
    get lf(): number;
    set lf(a: number);
    private h2;
    get jg(): number;
    set jg(a: number);
    private fh;
    get ge(): boolean;
    set ge(a: boolean);
    private v;
    get af(): BrushCollection;
    set af(a: BrushCollection);
    private ea;
    get trendLineType(): TrendLineType;
    set trendLineType(a: TrendLineType);
    private i3;
    get kf(): number;
    set kf(a: number);
    private fg;
    get gd(): boolean;
    set gd(a: boolean);
    private io;
    get j0(): number;
    set j0(a: number);
    private iq;
    get j2(): number;
    set j2(a: number);
    private ip;
    get j1(): number;
    set j1(a: number);
    private im;
    get jz(): number;
    set jz(a: number);
    protected vq(): void;
    private a8;
    get a9(): ComputedPlotAreaMarginMode;
    set a9(a: ComputedPlotAreaMarginMode);
    protected ba(): ComputedPlotAreaMarginMode;
    private dn;
    get dp(): SeriesPlotAreaMarginHorizontalMode;
    set dp(a: SeriesPlotAreaMarginHorizontalMode);
    private dq;
    get dr(): SeriesPlotAreaMarginVerticalMode;
    set dr(a: SeriesPlotAreaMarginVerticalMode);
    private dj;
    get dk(): SeriesHighlightingMode;
    set dk(a: SeriesHighlightingMode);
    private dh;
    get di(): SeriesHighlightingBehavior;
    set di(a: SeriesHighlightingBehavior);
    private cm;
    get cn(): LegendHighlightingMode;
    set cn(a: LegendHighlightingMode);
    private cr;
    get ct(): LegendItemBadgeShape;
    set ct(a: LegendItemBadgeShape);
    private co;
    get cp(): LegendItemBadgeMode;
    set cp(a: LegendItemBadgeMode);
    private k6;
    get li(): number;
    set li(a: number);
    private d8;
    get d9(): ToolTipType;
    set d9(a: ToolTipType);
    private bb;
    get crosshairsDisplayMode(): CrosshairsDisplayMode;
    set crosshairsDisplayMode(a: CrosshairsDisplayMode);
    private fq;
    get gl(): boolean;
    set gl(a: boolean);
    private xd;
    get x9(): Brush;
    set x9(a: Brush);
    private h5;
    get jj(): number;
    set jj(a: number);
    private xc;
    get x8(): Brush;
    set x8(a: Brush);
    private fp;
    get crosshairsAnnotationEnabled(): boolean;
    set crosshairsAnnotationEnabled(a: boolean);
    private w8;
    get x4(): Brush;
    set x4(a: Brush);
    private xa;
    get x6(): Brush;
    set x6(a: Brush);
    private w9;
    get x5(): Brush;
    set x5(a: Brush);
    private xb;
    get x7(): Brush;
    set x7(a: Brush);
    private kv;
    get k8(): number;
    set k8(a: number);
    private kw;
    get k9(): number;
    set k9(a: number);
    private f7;
    get shouldAvoidAxisAnnotationCollisions(): boolean;
    set shouldAvoidAxisAnnotationCollisions(a: boolean);
    private f9;
    get he(): boolean;
    set he(a: boolean);
    private fy;
    get finalValueAnnotationsVisible(): boolean;
    set finalValueAnnotationsVisible(a: boolean);
    private xo;
    get yk(): Brush;
    set yk(a: Brush);
    private xp;
    get yl(): Brush;
    set yl(a: Brush);
    private kz;
    get lc(): number;
    set lc(a: number);
    private fj;
    get autoCalloutsVisible(): boolean;
    set autoCalloutsVisible(a: boolean);
    private fo;
    get gk(): boolean;
    set gk(a: boolean);
    private fk;
    get gg(): boolean;
    set gg(a: boolean);
    private gb;
    get hi(): boolean;
    set hi(a: boolean);
    private ag;
    get ah(): CalloutCollisionMode;
    set ah(a: CalloutCollisionMode);
    private fm;
    get gi(): boolean;
    set gi(a: boolean);
    private fn;
    get gj(): boolean;
    set gj(a: boolean);
    private fl;
    get gh(): boolean;
    set gh(a: boolean);
    private h4;
    get ji(): number;
    set ji(a: number);
    private w2;
    get xy(): Brush;
    set xy(a: Brush);
    private w6;
    get x2(): Brush;
    set x2(a: Brush);
    private w7;
    get x3(): Brush;
    set x3(a: Brush);
    private w5;
    get x1(): Brush;
    set x1(a: Brush);
    private w3;
    get xz(): Brush;
    set xz(a: Brush);
    private w4;
    get x0(): Brush;
    set x0(a: Brush);
    private ku;
    get k7(): number;
    set k7(a: number);
    private hx;
    get calloutsItemsSource(): IEnumerable;
    set calloutsItemsSource(a: IEnumerable);
    private ai;
    get aj(): CalloutPlacementPositionsCollection;
    set aj(a: CalloutPlacementPositionsCollection);
    private l5;
    get nl(): string;
    set nl(a: string);
    private l6;
    get nn(): string;
    set nn(a: string);
    private l4;
    get m9(): string;
    set m9(a: string);
    private l3;
    get m5(): string;
    set m5(a: string);
    private ed;
    get valueLines(): ValueModeCollection;
    set valueLines(a: ValueModeCollection);
    private w;
    get valueLinesBrushes(): BrushCollection;
    set valueLinesBrushes(a: BrushCollection);
    private i4;
    get kg(): number;
    set kg(a: number);
    private f6;
    protected get_hc(): boolean;
    protected set_hc(a: boolean): void;
    get hc(): boolean;
    set hc(a: boolean);
    get d2(): SeriesViewerScrollbarMode;
    set d2(a: SeriesViewerScrollbarMode);
    private d0;
    get d3(): SeriesViewerScrollbarMode;
    set d3(a: SeriesViewerScrollbarMode);
    private d1;
    get dz(): SeriesViewerHorizontalScrollbarPosition;
    set dz(a: SeriesViewerHorizontalScrollbarPosition);
    private dy;
    get d7(): SeriesViewerVerticalScrollbarPosition;
    set d7(a: SeriesViewerVerticalScrollbarPosition);
    private d6;
    get yr(): Brush;
    set yr(a: Brush);
    private xr;
    get ys(): Brush;
    set ys(a: Brush);
    private xs;
    get js(): number;
    set js(a: number);
    private ie;
    get jr(): number;
    set jr(a: number);
    private id;
    get jo(): number;
    set jo(a: number);
    private ia;
    get jp(): number;
    set jp(a: number);
    private ib;
    get jq(): number;
    set jq(a: number);
    private ic;
    get ju(): number;
    set ju(a: number);
    private ih;
    get jt(): number;
    set jt(a: number);
    private ig;
    get gu(): boolean;
    set gu(a: boolean);
    private fz;
    static readonly q3: string;
    get yx(): Brush;
    set yx(a: Brush);
    private xw;
    get yy(): Brush;
    set yy(a: Brush);
    private xx;
    get kk(): number;
    set kk(a: number);
    private i8;
    get kj(): number;
    set kj(a: number);
    private i7;
    get kh(): number;
    set kh(a: number);
    private i5;
    get kn(): number;
    set kn(a: number);
    private jb;
    get ki(): number;
    set ki(a: number);
    private i6;
    get km(): number;
    set km(a: number);
    private ja;
    get kl(): number;
    set kl(a: number);
    private i9;
    get hj(): boolean;
    set hj(a: boolean);
    private gc;
    static readonly tt: string;
    get kp(): number;
    set kp(a: number);
    private jd;
    get ko(): number;
    set ko(a: number);
    private jc;
    get kr(): number;
    set kr(a: number);
    private jf;
    get kq(): number;
    set kq(a: number);
    private je;
}
